purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.Sugar.Names.Exports

Synopsis

- findExportable :: MonadError MultipleErrors m => Module -> m Exports
- resolveExports :: (MonadError MultipleErrors m, MonadWriter MultipleErrors m) => Env -> SourceSpan -> ModuleName -> Imports -> Exports -> [DeclarationRef] -> m Exports

# Documentation

findExportable :: MonadError MultipleErrors m => Module -> m Exports #

Finds all exportable members of a module, disregarding any explicit exports.

resolveExports :: (MonadError MultipleErrors m, MonadWriter MultipleErrors m) => Env -> SourceSpan -> ModuleName -> Imports -> Exports -> [DeclarationRef] -> m Exports #

Resolves the exports for a module, filtering out members that have not been exported and elaborating re-exports of other modules.